Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 802186 - mail-client/claws-mail-4.0.0 working well on wayland, suggestion for an upgrade hint
Summary: mail-client/claws-mail-4.0.0 working well on wayland, suggestion for an upgra...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-14 19:50 UTC by Duncan
Modified: 2021-10-06 02:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan 2021-07-14 19:50:07 UTC
Short form: I'm testing the masked-for-testing claws-mail-4.0.0 on wayland and it's working well for me, but I do have a running-on-wayland suggestion to add to the upgrading-from-3.x ewarn/einfo.

I was previously running -9999 for the gtk3 and therefore wayland support (running on kde-plasma/kwin as wayland compositor), and in fact had seen the 4.x in upstream's git log so I knew about the release, and sure enough, at my next update a few days later, there it was, with -9999 package-masked-for-testing by the >=4.0.0 as well so portage wanted to downgrade to 3.x, effectively providing me a useful notification that 4.x was available and I could now switch off of -9999 if desired.  So I did. =:^)

On wayland 4.0.0 is in general working well (as it has been as -9999 for some time now), including spell-check, rss, etc. =:^)  Here's my full set of claws-mail USE flags:

[ebuild   R   #] mail-client/claws-mail-4.0.0::gentoo  USE="gnutls nntp notification rss spell svg xface -appindicator -archive -bogofilter -calendar -clamav -dbus -debug -dillo -doc -gdata -imap -ipv6 -ldap -libcanberra -libnotify -litehtml -networkmanager -nls -pdf -perl -pgp -session -sieve -smime -spam-report -spamassassin -startup-notification -valgrind" 0 KiB

The draft upgrade-message suggestion...

"When running on wayland the claws-mail-configured global hotkey no longer works and the systrayicon does not appear.  Consider setting a hotkey in your wayland compositor to invoke claws-mail, which will bring up the main window of an existing instance if it's already running."

That would have helped me, tho of course running -9999 and now the masked-for-testing 4.0.0, I'm choosing to test and help craft such hints for those coming after me. =:^)

(More general question:  In the absence of the upgrade message suggestion, would a trivial-severity general "working well" report/bug on a masked-for-testing upgrade be useful info or just noise, and if useful, would immediately setting it RESOLVED/WORKSFORME (since that's effectively what I'd be reporting) be practical or simply hide it so the report is never seen?)
Comment 1 Sam James archtester gentoo-dev Security 2021-09-19 03:47:45 UTC
(In reply to Duncan from comment #0)
> Short form: I'm testing the masked-for-testing claws-mail-4.0.0 on wayland
> and it's working well for me, but I do have a running-on-wayland suggestion
> to add to the upgrading-from-3.x ewarn/einfo.
> 

I'm a recent Wayland convert too and Claws Mail 4.0.0 is working great here. Polynomial-C mentioned issues at https://bugs.gentoo.org/774918#c2 but I haven't seen anything like that yet. Not sure if there's an upstream report.

I'll leave the rest for him to respond to.

> [...]
> (More general question:  In the absence of the upgrade message suggestion,
> would a trivial-severity general "working well" report/bug on a
> masked-for-testing upgrade be useful info or just noise, and if useful,
> would immediately setting it RESOLVED/WORKSFORME (since that's effectively
> what I'd be reporting) be practical or simply hide it so the report is never
> seen?)

I'd let the maintainer close it to ensure they've seen it, but yes, I think it's useful feedback to know somebody tried it out!
Comment 2 Duncan 2021-09-19 07:08:39 UTC
(In reply to Sam James from comment #1)
> I'm a recent Wayland convert too and Claws Mail 4.0.0 is working great here.

Thanks.

> Polynomial-C mentioned [drawing] issues at https://bugs.gentoo.org/774918#c2
> but I haven't seen anything like that yet. Not sure if there's an upstream report.

https://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=4366

Particularly see comments 10, 12 and 15.  10 explains the (immediate) root of the problem (gtk3/wayland require all drawing to be from the widget's draw event and ignore drawing calls elsewhere) and contains the patch that went into 4.0.0, while acknowledging there's still minor issues it doesn't address.  The reply from Paul (claws-upstream maintainer) in 12 acknowledges the 10 patch as a short-term mostly-fix while pointing out that the real fix would be to rewrite summaryview to use GtkTreeView (as was done for folderview), and comment 15 closes the bug noting that the (modified) 10 patch is in-git, for what became 4.0.0.

So upstream's definitely aware of the problem and accepted what went into 4.0.0 as a stop-gap (mostly-)fix.  As the bug was closed with that and I'm no longer on -9999 I don't know current-tree status re a proper fix.

And thanks for the general-question answer as well. =:^)

(FWIW I actually switched from -9999 back to release for 4.0.0 in part to help with the gentoo-level testing.  But I believe further 4.0.0 testing here's of little additional benefit, and I've been running all kde-frameworks/plasma/apps as live-git-9999 for years now and miss having that live view into claws-upstream as well, so I'll likely switch back to claws-mail-9999 relatively soon.)
Comment 3 Larry the Git Cow gentoo-dev 2021-10-06 02:55:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de35cd57a393183a89a7e1029eb9a6382fcfd09b

commit de35cd57a393183a89a7e1029eb9a6382fcfd09b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-06 02:52:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-06 02:52:38 +0000

    profiles: add bug reference to Claws Mail mask
    
    Makes it easier so we don't forget.
    
    Bug: https://bugs.gentoo.org/802186
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 1 +
 1 file changed, 1 insertion(+)